<? 
require_once('../../../../conf/connection.php');

$numero =$_GET["numero"];
$des =$_GET["descuento"];
$fecha =$_GET["fecha"];
$rut_cliente =$_GET["rut"];

 $query_cliente="SELECT * FROM clientes where rut_clientes='$rut_cliente'";
  $res_cliente=mysql_query($query_cliente); 
  $nombre_cliente=mysql_result($res_cliente,0,"nombre_cliente"); 

$hora=date("H:i:s");
$fecha_ft=date('Y-m-d');
//suma total de ventas boletas = "1" y faturas="2" 

  $query_sum="SELECT sum(valor_total) AS total_venta FROM detalles_pedido_bd  WHERE numero='$numero'";
  $res_sum=mysql_query($query_sum); 
  $total=mysql_result($res_sum,0,"total_venta");
  
  $descuento=$total*($des/100);
  $total_final=$total-$descuento;
  
  
// datos de empresa.
  
 $query_empresa="SELECT * FROM empresa";
  $res_empresa=mysql_query($query_empresa); 
  $emp_rut=mysql_result($res_empresa,0,"nif"); 
  $emp_nombre=mysql_result($res_empresa,0,"nombre"); 
  $emp_direccion=mysql_result($res_empresa,0,"direccion"); 
  $emp_giro=mysql_result($res_empresa,0,"giro"); 
  $emp_direccion=mysql_result($res_empresa,0,"direccion"); 
  $emp_ciudad=mysql_result($res_empresa,0,"ciudad"); 
  $emp_telefono=mysql_result($res_empresa,0,"telefono"); 
  $emp_fantasia=mysql_result($res_empresa,0,"fantasia"); 
  
  
  
  
  
?>
 

<html>
	<head>
		<title></title>
		<link href="../../estilos/estilos.css" type="text/css" rel="stylesheet">	
		<script>
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		 function imprimir() {
			location.href="../informe.php";	
		 }
		</script>
        <script language="javascript">
function imprimir() {
	window.print();
    window.close();
	
}
</script>
	</head>

	<body onLoad="imprimir()">	
	
    <table width="308" border=0 cellpadding=3 cellspacing=0 >					
					  
					  <tr>
					    <td align="center" ><? echo $emp_nombre ?></td>
      </tr>
					  <tr>
					    <td align="center" ><? echo $emp_fantasia ?></td>
      </tr>
					  <tr>
					    <td align="center" ><? echo $emp_giro ?></td>
      </tr>
					  <tr>
					    <td align="center" ><p><? echo $emp_rut ?></p></td>
      </tr>
					  <tr>
					    <td align="center" ><? echo $emp_direccion ?> - <? echo $emp_ciudad ?></td>
      </tr>
					 
					  <tr>
					    <td align="center" >* COMPROBANTE DE PEDIDO *</td>
      </tr>
					
					  
					  <tr>
					    <td >Hora: <? echo $hora ?></td>
      </tr>
					  
					  <tr>
					    <td >Fecha: <? echo $fecha_ft?></td>
      </tr>
					  <tr>
					    <td >Num Pedido: <? echo $numero ?> </td>
      </tr>
					  <tr>
					    <td >Cliente: <? echo $nombre_cliente ?> <? echo $rut_cliente ?></td>
      </tr>
					  
					  
                      </table>
    <table width="975">
					  
					        <tr>
					          <td>
				                Detalles:
                                 <?  
          $buscar='select *, SUM(cantidad) as cant, SUM(valor_total) as valor from detalles_pedido_bd inner join articulos ON 
          articulos.referencia=detalles_pedido_bd.codarticulo where numero like \'%'.$numero.'%\' group by detalles_pedido_bd.codarticulo ';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		  
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
			                    <table  width="310" border="0">
				<tr >
				<td width="144">Productos&nbsp;&nbsp;</td>
				<td width="48">Cant&nbsp;&nbsp;</td>
				<td width="42">Total&nbsp;&nbsp;</td>
				</tr>
				<tr >
				  <td colspan="3"><hr></td>
				  </tr>
				<?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
					<tr><?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
					 <td height="10"><? $codarticulo=$row["referencia"]; echo  $row["descripcion"] ?>&nbsp;&nbsp;&nbsp;&nbsp;</td>
					 <td align="right"><? echo $row["cant"] ?>&nbsp;&nbsp;</td>
					 <td align="right"><? echo 
					 $format_number = number_format($row["valor"], 0, ',', '.');
					 
					 $idplatos=$row["idplatos"];  ?></td>
					 </tr>
					
				<? }
				
				?>
                <tr>
					  <td height="10" colspan="3"><hr></td>
				  </tr>
				</table>
			    
			      <? } ?>
                  <table width="309">
			        <tr>
					  <td width="44" height="4">&nbsp;</td>
					  <td width="124" height="4" align="right">Subtotal: </td>
					  <td width="64" height="4" align="right">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? echo $total ?></td>
				    </tr>
			        
                    <? if($des==0){}
					else{ ?>
                    <tr>
			          <td height="4">&nbsp;</td>
			          <td height="4" align="right">Descuento(<? echo $des ?>%): </td>
			          <td height="4" align="right">&nbsp;&nbsp;&nbsp;&nbsp;<? echo $descuento ?></td>
		            </tr>
			        <? } ?>
                    <tr>
			          <td height="4">&nbsp;</td>
			          <td height="4" align="right">Total:</td>
			          <td height="4" align="right">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<? echo $total_final ?></td>
		            </tr>
			        <tr>
			          <td height="1" colspan="3" align="center">&nbsp;</td>
		            </tr>
			        <tr>
			          <td height="1" colspan="3" align="center"> Gracias por su compra </td>
		            </tr>
			        <tr>
			          <td height="10" colspan="3" align="center">  * <? echo $emp_telefono ?> *</td>
		            </tr>
    </table>                  